Cards, prop trading & accounting

Prop Trading Create Payout Import

Validates file size/MIME, creates a DRAFT payout import and mints a presigned S3 upload URL.

POSThttps://api.toku.com/hris/prop-trading-create-payout-import

Not available to API keys yet. It will need payments:write.

curl --request POST \
  --url 'https://api.toku.com/hris/prop-trading-create-payout-import' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fileName": "string",
  "contentType": "text/csv",
  "sizeBytes": 0,
  "fileSha256": "string"
}'
200 response
{
  "payoutImportID": "string",
  "uploadUrl": "string",
  "fileKey": "string",
  "fileBucket": "string",
  "expiresAt": "string",
  "duplicateOfImportID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

fileNamestringrequired

Allowed: 1 to 255 characters

contentTypestringrequired

Available options: text/csv, application/vnd.ms-excel, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

sizeBytesintegerrequired

Allowed: at least 1

fileSha256stringrequired

Response

200Successful response
payoutImportIDstringrequired
uploadUrlstringrequired
fileKeystringrequired
fileBucketstringrequired
expiresAtstringrequired
duplicateOfImportIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits